<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/
define('_IN_JOHNCMS', 1);
require_once('../incfiles/core.php');
if (!$user_id) {
    require_once('../incfiles/head.php');
    echo display_error('Только для зарегистрированных посетителей');
    require_once('../incfiles/end.php');
    exit;
}

$spam['msg'] = 3; //Количество пользователей с неотвеченными сообщениями за промежуток времени
$spam['block'] = 900; //Промежуток времени блокировки в секундах 
$spam['time'] = 1; //Время блокировки почты в часах

$pochta['MAX_IN'] = 0; //Максимальное количество входящих (0 - неограничено)
$pochta['MAX_OUT'] = 0; //Максимальное количество исходящих (0 - неограничено)

$pochta['MAX_MESSAGE'] = 1000; //Максимальное длинна сообщения

$headmod = 'pochta';

$array = array (
'in','systems','new',
'out','contacts','ignor',
'add','read','addcont',
'spam','allspam','files',
'history','del','delete',
'sending_out','addignor',
'search','massout','massin',
'clear','send','isspam',
'mfiles','masspam'
);
if (in_array($act, $array) && file_exists($act . '.php')) {
    require_once($act . '.php');
} else {
	$textl = 'Личная почта';
	$headmod = 'pochta';
	require_once('../incfiles/head.php');
	$in_count = mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`!=' . $user_id . ' AND `id_kont`=' . $user_id . '  AND `sys`=1 AND `delete`!=' . $user_id . ' AND `spam`=1;'), 0);
    $no_read = mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`!=' . $user_id . ' AND `id_kont`=' . $user_id . '  AND `sys`=1 AND `read`=1 AND `delete`!=' . $user_id . ' AND `spam`=1;'), 0);
	$in_out = mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`=' . $user_id . ' AND `id_kont`!=' . $user_id . '  AND `sys`=1 AND `delete`!=' . $user_id . ';'), 0);
	$no_read_out = mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`=' . $user_id . ' AND `id_kont`!=' . $user_id . '  AND `sys`=1 AND `read`=1 AND `delete`!=' . $user_id . ';'), 0);
	echo '<div class="list1"><h3><img src="../images/mail.png" width="16" height="16" class="left" />&nbsp;Сообщения</h3><ul>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=add"><span class="green">Отправить письмо</span></a></li>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=in">Входящие</a> [' . $in_count .  ']'.($no_read > 0 ? ' <span class="red"><strong>+'.$no_read.'</strong></span>':'').($in_count >= $pochta['MAX_IN'] && $pochta['MAX_IN'] !=0 ? ' <span class="red">Переполнено!</span>':'').'</li>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=out">Исходящие</a> [' . $in_out .  ']'.($no_read_out > 0 ? ' <span class="red"><strong>+'.$no_read_out.'</strong></span>':'').($in_out >= $pochta['MAX_OUT'] && $pochta['MAX_IN'] !=0 ? ' <span class="red">Переполнено!</span>':'').'</li>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=systems">Системные сообщения</a> [' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`!=' . $user_id . ' AND `id_kont`=' . $user_id . ' AND `sys`=2 AND `delete`!=' . $user_id . ';'), 0) .  ']</li>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=contacts">Контакт-лист</a> [' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_konts` WHERE `id_user`=' . $user_id . ' AND `type`=1;'), 0) .  ']</li>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=ignor">Игнор-лист</a> [' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_konts` WHERE `id_user`=' . $user_id . ' AND `type`=2;'), 0) .  ']</li>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=spam">Спам</a> [' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`!=' . $user_id . ' AND `id_kont`=' . $user_id . ' AND `sys`=1 AND `delete`!=' . $user_id . ' AND `spam`=2 AND `read`=1;'), 0) .  ' | ' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`!=' . $user_id . ' AND `id_kont`=' . $user_id . ' AND `sys`=1 AND `delete`!=' . $user_id . ' AND `spam`=2;'), 0) .  ']'.($rights>=7 ? ' | <a href="'.$home.'/pochta/index.php?act=allspam">Все</a> [' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `spam`=2;'), 0) .  ']':'').'</li>';
	echo '<li><a href="'.$home.'/pochta/index.php?act=files">Файлы</a> [' . mysql_result(mysql_query("SELECT COUNT(*) FROM `mail_msg` WHERE (`id_user`='" . $user_id . "' OR `id_kont`='" . $user_id . "')  AND `sys`=1 AND `delete`!='" . $user_id . "' AND `file`!='';"), 0) .  ']</li>';
	if($rights==9) echo '<li><a href="'.$home.'/pochta/index.php?act=sending_out"><span class="red">Рассылка сообщений</span></a></li>';
	if($rights==9) echo '<li><a href="'.$home.'/pochta/index.php?act=clear"><span class="red">Чистка почты</span></a></li>';
	echo '</ul></div>';
	echo '<div class="menu"><a href="'.$home.'/index.php?act=cab">Кабинет</a></div>';
}
require_once("../incfiles/end.php");
?>